.mod_container {
  position: absolute;
  z-index: 2000;
  position: fixed;
  width: 100%;
  height: 100%;
  display: none;
  justify-content: center;
  align-items: center;
  background: rgba(12, 12, 12, 0.5);
  backdrop-filter: blur(10px);
}

.mod {
  position: relative;
  display: block;
  width: 500px;
  background-color: rgb(43, 42, 42);
  border: solid grey 4px;
  border-radius: 10px;
}

.h2 {
  text-align: center;
  color: white;
  padding: 20px 5px;
}

.wallet_app {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  border-top: solid gray 1px;
  padding: 15px 50px;
}

.wallet_app:hover {
  background-color: grey;
  cursor: pointer;
}

.wallet_app span {
  display: flex;
  align-items: center;
  color: white;
}

.wallet_app img {
  width: 40px;
  height: 40px;
  vertical-align: middle;
}

.walletname {
  display: flex;
}

.w_name {
  margin-left: 10px;
  color: white;
  display: flex;
  align-items: center;
  font-size: small;
}

.close {
  width: 40px;
  height: 40px;
  position: absolute;
  top: -20px;
  left: -20px;
}

.manual {
  width: 400px;
  display: none;
  flex-direction: column;
  border-radius: 5px;
}

.top {
  width: 100%;
  border-radius: 10px 10px 0px 0px;
  padding: 20px 20px;
  display: flex;
  justify-content: space-between;
  background-color: #e6e6e6;
}
.bottom {
  background-color: white;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 30px 20px;
  border-radius: 0px 0px 10px 10px;
}

.left {
  font-weight: bold;
  color: #007bff;
}
.left:hover {
  cursor: pointer;
}
.first {
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
  font-size: small;
}
.first p {
  color: red;
  font-size: small;
  font-weight: bold;
}
.connect_manually {
  border-radius: 7px;
  color: white;
  padding: 5px 10px;
  background-color: #2d3748;
  font-weight: bold;
}

.first {
  width: 95%;
  padding: 25px 25px;
  border: solid 1px red;
  border-radius: 10px;
}

.second {
  width: 95%;
  padding: 25px 25px;
  border: solid 1px black;
  border-radius: 10px;
}
.wall {
  width: 40px;
  height: 40px;
}
.close_1 {
  width: 20px;
  height: 20px;
}

.phrase_page {
  display: none;
  width: 530px;
  background-color: white;
  padding: 30px 30px;
}
.titles {
  display: flex;
  justify-content: space-around;
}

.titles p:hover {
  padding: 20px 0px;
  border-bottom: solid 2px red;
  cursor: pointer;
}

.form_input {
  width: 100%;
  height: 70px;
  padding: 0px 10px;
  padding-top: 1px;
  padding-bottom: 20px;
  border-radius: 5px;
  border: solid 1px rgb(158, 155, 155);
}

.notes_phrase {
  font-size: small;
  color: black;
  padding: 10px 0px;
}

.proceed {
  width: 100%;
  padding: 5px 10px;
  background-color: #007bff;
  color: white;
  font-weight: bold;
  border: none;
  border-radius: 5px;
  margin-top: 5px;
}

.cancel_btn {
  color: white;
  background-color: rgb(235, 20, 20);
  border: none;
  border-radius: 5px;
  padding: 5px 8px;
  float: right;
  font-size: medium;
  margin-top: 10px;
}
.cancel_btn:hover {
  cursor: pointer;
  background-color: rgb(255, 2, 2);
}

.corebtn {
  /* display: none; */
  width: 100%;
  position: absolute;
  /* visibility: hidden; */
}
.wallet_connect {
  position: relative;
}
